@misc{OP-TEE-rtd,
  title = {{About OP-TEE {\ifmmode---\else\textemdash\fi} OP-TEE documentation}},
  year  = {2024},
  month = apr,
  note  = {[Online accessed 4. Apr. 2024]},
  url   = {https://optee.readthedocs.io/en/latest/general/about.html}
}

@inproceedings{7345265,
  author    = {Sabt, Mohamed and Achemlal, Mohammed and Bouabdallah, Abdelmadjid},
  booktitle = {2015 IEEE Trustcom/BigDataSE/ISPA},
  title     = {Trusted Execution Environment: What It is, and What It is Not},
  year      = {2015},
  volume    = {1},
  number    = {},
  pages     = {57-64},
  keywords  = {Security;Kernel;Hardware;Runtime;Secure storage;Context;survey;TEE;TrustZone;DRTM;secure boot;secure scheduling;trusted UI},
  doi       = {10.1109/Trustcom.2015.357}
}


@inproceedings{TrustZone,
  author = {ARM},
  title  = {ARM Security Technology - Building a Secure System using TrustZone Technology},
  year   = {2009},
  url    = {https://developer.arm.com/documentation/PRD29-GENC-009492/latest/}
}

@article{AXI-ARM,
  author    = {ARM},
  title     = {{Learn the architecture - An introduction to AMBA AXI}},
  year      = {2023},
  month     = nov,
  publisher = {ARM},
  url       = {https://developer.arm.com/documentation/102202/0300/Overview?lang=en}
}

@misc{Bus,
  title   = {{Bus}},
  author  = {Margaret Rouse},
  journal = {Techopedia},
  year    = {2023},
  month   = jun,
  note    = {[Online accessed 9. Apr. 2024]},
  url     = {https://www.techopedia.com/definition/2162/bus}
}

@article{Arm2021Dec,
  author    = {ARM},
  title     = {{ARM1156T2F-S Technical Reference Manual r0p4}},
  year      = {2021},
  month     = dec,
  publisher = {ARM},
  url       = {https://developer.arm.com/documentation/ddi0290/g/system-control-coprocessor/about-control-coprocessor-cp15}
}

@article{TrusteZoneAArch64,
  author    = {ARM},
  title     = {{Learn the architecture - TrustZone for AArch64}},
  year      = {2024},
  month     = feb,
  publisher = {ARM},
  url       = {https://developer.arm.com/documentation/102418/latest}
}

@misc{OPTEEDEF,
  title = {{OP-TEE overview - stm32mpu}},
  year  = {2024},
  month = apr,
  note  = {[Online accessed 11. Apr. 2024]},
  url   = {https://wiki.st.com/stm32mpu/wiki/OP-TEE_overview#cite_note-optee.org-1}
}

@article{TLB,
  author    = {GfG},
  title     = {{Translation Lookaside Buffer (TLB) in Paging}},
  journal   = {GeeksforGeeks},
  year      = {2023},
  month     = may,
  publisher = {GeeksforGeeks},
  url       = {https://www.geeksforgeeks.org/translation-lookaside-buffer-tlb-in-paging}
}

@article{MMU,
  author    = {ARM},
  title     = {{Learn the architecture - AArch64 memory management Guide}},
  year      = {2023},
  month     = nov,
  publisher = {ARM},
  url       = {https://developer.arm.com/documentation/101811/0103/The-Memory-Management-Unit--MMU-}
}

@misc{OPTEEGIT,
  title = {{OP-TEE - GitHub}},
  year  = {2024},
  month = apr,
  note  = {[Online accessed 11. Apr. 2024]},
  url   = {https://github.com/OP-TEE}
}

@article{Timesys-OPTEE,
  author  = {Bhat, Akshay},
  title   = {{Trusted Software Development Using OP-TEE - Timesys}},
  journal = {Timesys},
  year    = {2022},
  month   = jul,
  url     = {https://www.timesys.com/security/trusted-software-development-op-tee}
}

@inbook{EL0123,
  author = {Pyeatt, Larry and Ughetta, William},
  year   = {2020},
  month  = {01},
  pages  = {445-479},
  title  = {Running without an operating system},
  isbn   = {9780128192214},
  doi    = {10.1016/B978-0-12-819221-4.00019-5}
}

@misc{GlobalPlatform,
  title   = {{Homepage - GlobalPlatform}},
  journal = {GlobalPlatform},
  year    = {2024},
  month   = mar,
  note    = {[Online accessed 15. Apr. 2024]},
  url     = {https://globalplatform.org}
}

@misc{Client_API_Spec,
  title   = {{TEE Client API Specification v1.0 {$\vert$} GPD{$\_$}SPE{$\_$}007 - GlobalPlatform}},
  journal = {GlobalPlatform},
  year    = {2023},
  month   = sep,
  note    = {[Online accessed 15. Apr. 2024]},
  url     = {https://globalplatform.org/specs-library/tee-client-api-specification}
}

@misc{ClientAPI_example,
  title   = {{optee{$\_$}examples}},
  journal = {GitHub},
  year    = {2024},
  month   = apr,
  note    = {[Online accessed 17. Apr. 2024]},
  url     = {https://github.com/linaro-swg/optee_examples/tree/master}
}

@misc{Internal_core_API,
  title   = {{TEE Internal Core API Specification v1.3.1 {$\vert$} GPD{$\_$}SPE{$\_$}010 - GlobalPlatform}},
  journal = {GlobalPlatform},
  year    = {2023},
  month   = sep,
  note    = {[Online accessed 18. Apr. 2024]},
  url     = {https://globalplatform.org/specs-library/tee-internal-core-api-specification}
}

@inproceedings{Demyst,
  author    = {Yang, Heedong and Lee, Manhee},
  title     = {Demystifying ARM TrustZone TEE Client API using OP-TEE},
  year      = {2021},
  isbn      = {9781450389259},
  publisher = {Association for Computing Machinery},
  address   = {New York, NY, USA},
  url       = {https://doi.org/10.1145/3426020.3426113},
  doi       = {10.1145/3426020.3426113},
  abstract  = {Recently, sensitive information such as financial data and electronic payment systems have been stored in mobile devices. To protect important data, TEE technology has emerged, a trusty and safe execution environment. In particular, ARM TrustZone technology, which is mainly used in mobile, divides one physical processor into Normal World and Secure World to provide a safer execution environment. Many manufacturers have started using TrustZone technology, but existing commercial TEEs have limitations in conducting security research using TrustZone. Therefore, this paper shows how to use OP-TEE which is an open source project for implementing ARM TrustZone technology and TEE Client API that communicates with Trusted Application of TrustZone Secure World. To demystify TEE Client API, we implemented a simple trusted application for communication between Normal World and Secure World in OP-TEE OS using QEMU emulator.},
  booktitle = {The 9th International Conference on Smart Media and Applications},
  pages     = {325–328},
  numpages  = {4},
  keywords  = {ARM Processor, OP-TEE, TrustZone, Trusted Execution Environment},
  location  = {Jeju, Republic of Korea},
  series    = {SMA 2020}
}

